extends Control

onready var card01 = get_node("AllCards/Card01")
onready var card02 = get_node("AllCards/Card02")
onready var card03 = get_node("AllCards/Card03")
onready var card04 = get_node("AllCards/Card04")
onready var card05 = get_node("AllCards/Card05")
onready var card06 = get_node("AllCards/Card06")
onready var card07 = get_node("AllCards/Card07")
onready var card08 = get_node("AllCards/Card08")
onready var card09 = get_node("AllCards/Card09")
onready var card10 = get_node("AllCards/Card10")
onready var card11 = get_node("AllCards/Card11")
onready var card12 = get_node("AllCards/Card12")
onready var card13 = get_node("AllCards/Card13")
onready var card14 = get_node("AllCards/Card14")
onready var card15 = get_node("AllCards/Card15")
onready var card16 = get_node("AllCards/Card16")

onready var cardNumber = get_node("CardNumber")

onready var allCards = [card01, card02, card03, card04, card05, card06, card07, card08, card09, card10, card11, card12, card13, card14, card15, card16]

var currentActiveIndex = 0
var currentCard


# Called when the node enters the scene tree for the first time.
func _ready():
	card01.visible = true
	cardNumber.set_text("Karte: " + str(currentActiveIndex + 1) + "/16")


# This function lets you restart the game.
func _on_RestartButton_pressed():
	get_tree().change_scene("res://Scenes/World.tscn")
	get_tree().paused = false # unpause game in background
	get_parent().remove_child(self) # remove gameover Screen


# This function lets you return to the main menu.
func _on_MenuButton_pressed():
	get_tree().change_scene("res://Scenes/MainMenu.tscn")
	get_parent().remove_child(self) # remove gameover Screen


# This function lets you exit the game.
func _on_ExitButton_pressed():
	get_tree().quit()


# Show the next card.
func _on_NextCard_pressed():
	if allCards.size() > 0:
		# hide old card
		currentCard = allCards[currentActiveIndex]
		currentCard.visible = false
	
		# show next card
		currentActiveIndex += 1
	
		if currentActiveIndex >= allCards.size(): #reset
			currentActiveIndex = 0
	
		currentCard = allCards[currentActiveIndex]
		currentCard.visible = true
		cardNumber.set_text("Karte: " + str(currentActiveIndex + 1) + "/16")


func _on_PreviousCard_pressed():
	if allCards.size() > 0:
		# hide old card
		currentCard = allCards[currentActiveIndex]
		currentCard.visible = false
	
		# show next card
		currentActiveIndex -= 1
	
		if currentActiveIndex < 0: #reset
			currentActiveIndex = allCards.size() - 1
	
		currentCard = allCards[currentActiveIndex]
		currentCard.visible = true
		cardNumber.set_text("Karte: " + str(currentActiveIndex + 1) + "/16")
